local loGFX as xfcGraphics of Source\System.Drawing.PRG, ;
	loPen as xfcPen of Source\System.Drawing.PRG, ;
	laPoints[5]

* Ensure GDIPlusX is available.

do System.app
clear
with _screen.System.Drawing as xfcDrawing of Source\System.PRG

* Create a Graphics object that draws on _SCREEN.

	loGfx = .Graphics.FromHWnd(_screen.HWnd)

* Draw a line. System.Drawing.Pens provides a set of pens with pre-defined
* colors, such as black. The other parameters for DrawLine are the X and Y
* locations of the endpoints of the line.

	loGfx.DrawLine(.Pens.Black, 10, 10, 400, 400)

* Fill an ellipse using a blue brush. System.Drawing.Brushes provides a set of
* brushes with pre-defined colors, such as blue. The other parameters are the X
* and Y location of the upper-left corner of the ellipse and its width and
* height.

	loGfx.FillEllipse(.Brushes.Blue, 30, 30, 400, 200)

* Create a red pen. The New method of System.Drawing.Pen creates a pen using a
* specified color and width. Note that the color is specified as a color
* brush. In this case, we'll use the Red member of System.Drawing.Color.

	loPen = .Pen.New(.Color.Red, 2)

* Draw a rectangle using the pen. As with ellipses, the parameters specify the
* X and Y location of the upper-left corner and its width and height.

	loGfx.DrawRectangle(loPen, 20, 20, 420, 220)

* Create a closed polygon, fill it with tomato red, and stroke it with a
* 4-pixel tan pen.

	laPoints[1] = .Point.New(220, 250)
	laPoints[2] = .Point.New(400, 300)
	laPoints[3] = .Point.New(400, 250)
	laPoints[4] = .Point.New(220, 300)
	laPoints[5] = .Point.New(220, 250)
	loGfx.FillPolygon(.Brushes.Tomato, @laPoints)
	loGfx.DrawPolygon(.Pen.New(.Color.Tan, 4), @laPoints)
endwith











